Index: INSTALL
===================================================================
--- INSTALL	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
+++ INSTALL	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -10,5 +10,5 @@
 
 -------------------------------------------------------------------------------
-If all you want to do is convert XML to HTML perform the following:
+If all you want to do is convert XML to HTML install the following:
 
 * libxml2
@@ -19,13 +19,24 @@
 
 * DocBook DTD 
-  - http://www.linuxfromscratch.org/blfs/view/cvs/pst/DocBook.html
+  - http://www.linuxfromscratch.org/blfs/view/cvs/pst/xml.html
 
 * DocBook XSL Stylesheets 
   - http://www.linuxfromscratch.org/blfs/view/cvs/pst/docbook-xsl.html
 
+* HTML Tidy - http://tidy.sourceforge.net/src/tidy_src.tgz
+
+  /bin/sh build/gnuauto/setup.sh &&
+  ./configure --prefix=/usr &&
+  make &&
+  su -c "make install"
+
 ------------------------------------------------------------------------------- 
 If you want to be able to convert the book into PDF as well, then you will need
 the FOP package.  This takes an XSL-FO file (created with libxslt which you
-already installed) and converts it to PDF:
+already installed) and converts it to PDF.  Additionally you will need
+the Java Advanced Imaging (JAI) library from
+http://java.sun.com/products/java-media/jai/downloads/download-1_1_2.html
+(you'll need either the JDK .bin or JRE .bin file dependent on your
+particular Java setup).
 
   - http://www.apache.org/dist/xml/fop/fop-0.20.5-bin.tar.gz
@@ -37,3 +48,9 @@
   mv fop-0.20.5 fop
 
+  Install JAI by running:
+
+  chmod u+x /path/to/jai-1_1_2-lib-linux-i586-jdk.bin &&
+  cd $JAVA_HOME &&
+  /path/to/jai-1_1_2-lib-linux-i586-jdk.bin
+
   Now set JAVA_HOME, FOP_HOME and PATH to values appropriate to your system.
Index: Makefile
===================================================================
--- Makefile	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
+++ Makefile	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -1,22 +1,29 @@
-BASEDIR=~/lfs-book/
+BASEDIR=~/lfs-book
+CHUNK_QUIET=0
+PDF_OUTPUT=LFS-BOOK.pdf
+PRINT_OUTPUT=LFS-BOOK-PRINTABLE.pdf
+NOCHUNKS_OUTPUT=LFS-BOOK.html
 
 lfs:
-	xsltproc --xinclude --nonet -stringparam base.dir $(BASEDIR) \
-	  stylesheets/lfs-chunked.xsl index.xml
+	xsltproc --xinclude --nonet -stringparam chunk.quietly $(CHUNK_QUIET) \
+	  -stringparam base.dir $(BASEDIR)/ stylesheets/lfs-chunked.xsl \
+	  index.xml
 
-	if [ ! -e $(BASEDIR)stylesheets ]; then \
-	  mkdir -p $(BASEDIR)stylesheets; \
+	if [ ! -e $(BASEDIR)/stylesheets ]; then \
+	  mkdir -p $(BASEDIR)/stylesheets; \
 	fi;
-	cp stylesheets/lfs.css $(BASEDIR)stylesheets
+	cp stylesheets/lfs.css $(BASEDIR)/stylesheets
 
-	if [ ! -e $(BASEDIR)images ]; then \
-	  mkdir -p $(BASEDIR)images; \
+	if [ ! -e $(BASEDIR)/images ]; then \
+	  mkdir -p $(BASEDIR)/images; \
 	fi;
 	cp /usr/share/xml/docbook/xsl-stylesheets-1.65.1/images/*.png \
-	  $(BASEDIR)images
-	cd $(BASEDIR); sed -i -e "s@../stylesheets@stylesheets@" \
+	  $(BASEDIR)/images
+	cd $(BASEDIR)/; sed -i -e "s@../stylesheets@stylesheets@" \
 	  index.html part1.html part2.html part3.html longindex.html
-	cd $(BASEDIR); sed -i -e "s@../images@images@g" \
+	cd $(BASEDIR)/; sed -i -e "s@../images@images@g" \
 	  index.html part1.html part2.html part3.html longindex.html
+
+	sh goTidy $(BASEDIR)/
 
 pdf:
@@ -24,5 +31,16 @@
 	  index.xml
 	sed -i -e "s/inherit/all/" lfs.fo
-	fop.sh lfs.fo lfs.pdf
+	fop.sh lfs.fo $(PDF_OUTPUT)
+
+print:
+	xsltproc --xinclude --nonet --output lfs-print.fo \
+	  stylesheets/lfs-print.xsl index.xml
+	sed -i -e "s/inherit/all/" lfs-print.fo
+	fop.sh lfs-print.fo $(PRINT_OUTPUT)
+
+nochunks:
+	xsltproc --xinclude --nonet --output $(NOCHUNKS_OUTPUT) \
+	  stylesheets/lfs-nochunks.xsl index.xml
+	tidy -config tidy.conf $(NOCHUNKS_OUTPUT) || true
 
 validate:
Index: README
===================================================================
--- README	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
+++ README	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -11,5 +11,5 @@
 -------------
 
-BASEDIR=/path/to/output/location make
+make BASEDIR=/path/to/output/location
 
 
Index: general.ent
===================================================================
--- general.ent	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
+++ general.ent	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!ENTITY version "CVS-2004-05-02">
-<!ENTITY releasedate "May 2, 2004">
-<!ENTITY milestone "5.1">
+<!ENTITY version "&milestone;">
+<!ENTITY releasedate "June 5th, 2004">
+<!ENTITY milestone "5.1.1">
 
 <!ENTITY lfs-root "http://www.linuxfromscratch.org/">
@@ -9,5 +9,5 @@
 <!ENTITY hints-root "&lfs-root;hints/downloads/files/">
 <!ENTITY hints-index "&lfs-root;hints/list.html">
-<!ENTITY patches-root "&lfs-root;patches/lfs/cvs/">
+<!ENTITY patches-root "&lfs-root;patches/lfs/&version;/">
 <!ENTITY wiki-root "http://wiki.linuxfromscratch.org/">
 <!ENTITY http-down "http://downloads.linuxfromscratch.org/">
@@ -22,5 +22,5 @@
 <!ENTITY binutils-version "2.14">
 <!ENTITY bison-version "1.875">
-<!ENTITY bootscripts-version "2.0.4">
+<!ENTITY bootscripts-version "2.0.5">
 <!ENTITY bzip2-version "1.0.2">
 <!ENTITY coreutils-version "5.2.1">
@@ -37,5 +37,5 @@
 <!ENTITY gcc-version "3.3.3">
 <!ENTITY gettext-version "0.14.1">
-<!ENTITY glibc-version "2.3.3">
+<!ENTITY glibc-version "2.3.3-lfs-5.1">
 <!ENTITY grep-version "2.5.1">
 <!ENTITY groff-version "1.19">
Index: goTidy
===================================================================
--- goTidy	(revision 2ec64b313286681a709807dff868a30250f31207)
+++ goTidy	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -0,0 +1,17 @@
+#!/bin/bash
+#######################################################################
+#
+# File:        goTidy
+#
+# Description: Tidy is best used inside a loop, but Makefiles don't do
+# bash loops well.  This file alleviates that problem.
+#
+# Author:      James Robertson
+#
+########################################################################
+
+for file in `find "$1" -name "*.html"`; do
+        tidy -config tidy.conf $file
+done
+
+exit 0
Index: stylesheets/lfs-chunked.xsl
===================================================================
--- stylesheets/lfs-chunked.xsl	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
+++ stylesheets/lfs-chunked.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -1,92 +1,33 @@
-<?xml version='1.0'?>
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org>
+Based on the original lfs-chunked.xsl created by Matthew Burgess -->
+
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                 xmlns="http://www.w3.org/1999/xhtml"
                 version="1.0">
 
-  <!-- We use XHTML -->
+  	<!-- We use XHTML -->
   <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.65.1/xhtml/chunk.xsl"/>
   <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
+  
+  	<!-- Including our others customized templates -->
+  <xsl:include href="xhtml/lfs-admon.xsl"/>
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-legalnotice.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/>
+  <xsl:include href="xhtml/lfs-navigational.xsl"/>
+  <xsl:include href="xhtml/lfs-titles.xsl"/>
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
 
-  <!-- The CSS Stylesheet -->
+  	<!-- The CSS Stylesheet -->
   <xsl:param name="html.stylesheet" select="'../stylesheets/lfs.css'"/>
 
-  <!-- Include our customised templates -->
-  <xsl:include href="xhtml/lfs-toc.xsl"/>
-  <xsl:include href="xhtml/lfs-index.xsl"/>
-
-  <!-- Use graphics in admonitions -->
-  <xsl:param name="admon.graphics" select="1"/>
-  <xsl:param name="admon.graphics.path">../images/</xsl:param>
-  <xsl:param name="admon.graphics.extension" select="'.png'"/>
-
-  <!-- Legal Notice stuff -->
-  <xsl:param name="generate.legalnotice.link" select="1"/>
-  <xsl:template match="legalnotice" mode="titlepage.mode">
-    <xsl:variable name="id"><xsl:call-template name="object.id"/></xsl:variable>
-    <xsl:choose>
-      <xsl:when test="$generate.legalnotice.link != 0">
-        <xsl:variable name="filename">
-          <xsl:call-template name="make-relative-filename">
-            <xsl:with-param name="base.dir" select="''"/>
-            <xsl:with-param name="base.name" select="concat($base.dir, 'prologue/legalnotice.html')"/>
-          </xsl:call-template>
-        </xsl:variable>
-        <xsl:variable name="title">
-          <xsl:apply-templates select="." mode="title.markup"/>
-        </xsl:variable>
-        <xsl:element name="a">
-          <xsl:attribute name="href">
-            <xsl:value-of select="'prologue/legalnotice.html'"/>
-          </xsl:attribute>
-          <xsl:copy-of select="$title"/>
-        </xsl:element>
-        <xsl:call-template name="write.chunk">
-          <xsl:with-param name="filename" select="$filename"/>
-          <xsl:with-param name="quiet" select="$chunk.quietly"/>
-          <xsl:with-param name="content">
-            <html>
-              <head>
-                <xsl:call-template name="system.head.content"/>
-                <xsl:call-template name="head.content"/>
-                <xsl:call-template name="user.head.content"/>
-              </head>
-              <body>
-                <xsl:call-template name="body.attributes"/>
-                <div class="{local-name(.)}">
-                  <xsl:apply-templates mode="titlepage.mode"/>
-                </div>
-              </body>
-            </html>
-          </xsl:with-param>
-        </xsl:call-template>
-      </xsl:when>
-      <xsl:otherwise>
-        <div class="{local-name(.)}">
-          <xsl:apply-templates mode="titlepage.mode"/>
-        </div>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-
-  <!--TOC stuff-->
-  <xsl:param name="generate.toc">
-    appendix  toc
-    book      toc,title,figure,table,example,equation
-    chapter   nop
-    part      toc
-    preface   nop
-    qandadiv  nop
-    qandaset  nop  
-    reference nop
-    sect1     nop
-    sect2     nop
-    sect3     nop
-    sect4     nop
-    sect5     nop
-    section   nop
-    set       nop
-  </xsl:param>
-  <xsl:param name="toc.section.depth">1</xsl:param>
-  <xsl:param name="toc.max.depth">3</xsl:param>
+  	<!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+  
+  	<!-- No XML declaration -->
+	<xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
 
 </xsl:stylesheet>
Index: stylesheets/lfs-nochunks.xsl
===================================================================
--- stylesheets/lfs-nochunks.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
+++ stylesheets/lfs-nochunks.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -0,0 +1,32 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org>
+Based on the original lfs-chunked.xsl created by Matthew Burgess -->
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+  	<!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.65.1/xhtml/docbook.xsl"/>
+
+  <!-- Fix encoding issues with default UTF-8 output of the xhtml stylesheet -->
+  <xsl:output method="html" encoding="ISO-8859-1" indent="no" />
+  
+ 	<!-- Including our others customized templates -->
+  <xsl:include href="xhtml/lfs-admon.xsl"/>
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/>
+  <xsl:include href="xhtml/lfs-navigational.xsl"/>
+  <!-- The following breaks hyperlinks in the TOC -->
+  <!--  <xsl:include href="xhtml/lfs-titles.xsl"/> -->
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
+
+  	<!-- The CSS Stylesheet -->
+  <xsl:param name="html.stylesheet" select="'lfs.css'"/>
+
+  	<!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+  
+</xsl:stylesheet>
Index: stylesheets/lfs-pdf.xsl
===================================================================
--- stylesheets/lfs-pdf.xsl	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
+++ stylesheets/lfs-pdf.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -1,6 +1,9 @@
-<?xml version='1.0'?>
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org>
+Based on the original lfs-pdf.xsl created by Matthew Burgess -->
+
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                 xmlns:fo="http://www.w3.org/1999/XSL/Format"
-                xmlns="http://www.w3.org/1999/xhtml"
                 version="1.0">
 
@@ -9,9 +12,15 @@
   <xsl:param name="fop.extensions" select="1"/>
   <xsl:param name="draft.mode" select="'no'"/>
+
+  <!-- Including our others customized templates -->
+  <xsl:include href="pdf/lfs-index.xsl"/>
+  <xsl:include href="pdf/lfs-pagesetup.xsl"/>
+
   <!-- Probably want to make the paper size configurable -->
   <xsl:param name="paper.type" select="'A4'"/>
 
-  <!-- Include our customised templates -->
-  <xsl:include href="pdf/lfs-index.xsl"/>
+  <!-- Don't hyphenate -->
+  <xsl:param name="hyphenate">false</xsl:param>
+  <xsl:param name="alignment">left</xsl:param>
 
   <!-- Font size -->
@@ -19,10 +28,13 @@
   <xsl:param name="body.font.size">10pt</xsl:param>
 
-  <!-- Margins -->
-  <xsl:param name="page.margin.inner">1in</xsl:param>
-  <xsl:param name="page.margin.outer">0.5in</xsl:param>
-  <xsl:param name="title.margin.left">-1pc</xsl:param>
+  <!-- Graphics in admonitions -->
+  <xsl:param name="admon.graphics" select="1"/>
+  <xsl:param name="admon.graphics.path"
+    select="'/usr/share/xml/docbook/xsl-stylesheets-1.65.1/images/'"/>
 
-  <!-- TOC stuff -->
+  <!-- Shade screen -->
+  <xsl:param name="shade.verbatim" select="1"/>
+
+  <!-- TOC generation -->
   <xsl:param name="generate.toc">
     book      toc
@@ -30,97 +42,16 @@
   </xsl:param>
   <xsl:param name="toc.section.depth">1</xsl:param>
-  <xsl:param name="generate.section.toc.level" select="-1"></xsl:param>
-  <xsl:param name="toc.indent.width" select="18"></xsl:param>
-
-  <!-- Force section1's onto a new page -->
-  <xsl:attribute-set name="section.level1.properties">
-    <xsl:attribute name="break-after">page</xsl:attribute>
-  </xsl:attribute-set>
-
-  <!-- Columns in appendix -->
-  <xsl:param name="column.count.back" select="2"/>
-
-  <!-- Don't hyphenate -->
-  <xsl:param name="hyphenate">false</xsl:param>
-  <xsl:param name="alignment">left</xsl:param>
+  <xsl:param name="generate.section.toc.level" select="-1"/>
+  <xsl:param name="toc.indent.width" select="18"/>
 
   <!-- Page number in Xref-->
   <xsl:param name="insert.xref.page.number">yes</xsl:param>
-  <xsl:template match="xref" name="xref">
-    <xsl:variable name="targets" select="key('id',@linkend)"/>
-    <xsl:variable name="target" select="$targets[1]"/>
-    <xsl:variable name="refelem" select="local-name($target)"/>
-    <xsl:call-template name="check.id.unique">
-      <xsl:with-param name="linkend" select="@linkend"/>
-    </xsl:call-template>
-    <xsl:choose>
-      <xsl:when test="$refelem=''">
-        <xsl:message>
-          <xsl:text>XRef to nonexistent id: </xsl:text>
-          <xsl:value-of select="@linkend"/>
-        </xsl:message>
-        <xsl:text>???</xsl:text>
-      </xsl:when>
-      <xsl:when test="@endterm">
-        <fo:basic-link internal-destination="{@linkend}"
-                       xsl:use-attribute-sets="xref.properties">
-          <xsl:variable name="etargets" select="key('id',@endterm)"/>
-          <xsl:variable name="etarget" select="$etargets[1]"/>
-          <xsl:choose>
-            <xsl:when test="count($etarget) = 0">
-              <xsl:message>
-                <xsl:value-of select="count($etargets)"/>
-                <xsl:text>Endterm points to nonexistent ID: </xsl:text>
-                <xsl:value-of select="@endterm"/>
-              </xsl:message>
-              <xsl:text>???</xsl:text>
-            </xsl:when>
-            <xsl:otherwise>
-              <xsl:apply-templates select="$etarget" mode="endterm"/>
-            </xsl:otherwise>
-          </xsl:choose>
-        </fo:basic-link>
-      </xsl:when>
-      <xsl:when test="$target/@xreflabel">
-        <fo:basic-link internal-destination="{@linkend}"
-                       xsl:use-attribute-sets="xref.properties">
-          <xsl:call-template name="xref.xreflabel">
-            <xsl:with-param name="target" select="$target"/>
-          </xsl:call-template>
-        </fo:basic-link>
-      </xsl:when>
-      <xsl:otherwise>
-        <fo:basic-link internal-destination="{@linkend}"
-                       xsl:use-attribute-sets="xref.properties">
-          <xsl:apply-templates select="$target" mode="xref-to">
-            <xsl:with-param name="referrer" select="."/>
-            <xsl:with-param name="xrefstyle">
-              <xsl:choose>
-                <xsl:when test="@role and not(@xrefstyle) and $use.role.as.xrefstyle != 0">
-                  <xsl:value-of select="@role"/>
-                </xsl:when>
-                <xsl:otherwise>
-                  <xsl:value-of select="@xrefstyle"/>
-                </xsl:otherwise>
-              </xsl:choose>
-            </xsl:with-param>
-          </xsl:apply-templates>
-        </fo:basic-link>
-      </xsl:otherwise>
-    </xsl:choose>
-    <xsl:if test="not(starts-with(normalize-space(@xrefstyle), 'select:') != ''
-                  and (contains(@xrefstyle, 'page')
-                   or contains(@xrefstyle, 'Page')))
-                  and ( $insert.xref.page.number = 'yes'
-                   or $insert.xref.page.number = '1')
-                   or local-name($target) = 'para'">
-      <fo:basic-link internal-destination="{@linkend}"
-                     xsl:use-attribute-sets="xref.properties">
-      	<xsl:text>, p. </xsl:text>
-        <xsl:apply-templates select="$target" mode="page.citation">
-          <xsl:with-param name="id" select="@linkend"/>
-        </xsl:apply-templates>
-      </fo:basic-link>
-    </xsl:if>
+  <xsl:template match="*" mode="page.citation">
+    <xsl:param name="id" select="'???'"/>
+    <fo:inline keep-together.within-line="always">
+      <xsl:text>[p.</xsl:text>
+      <fo:page-number-citation ref-id="{$id}"/>
+      <xsl:text>]</xsl:text>
+    </fo:inline>
   </xsl:template>
 
Index: stylesheets/lfs-print.xsl
===================================================================
--- stylesheets/lfs-print.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
+++ stylesheets/lfs-print.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -0,0 +1,57 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org>
+Based on the original lfs-pdf.xsl created by Matthew Burgess -->
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:fo="http://www.w3.org/1999/XSL/Format"
+                version="1.0">
+
+  	<!-- We use FO and FOP as the processor -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.65.1/fo/docbook.xsl"/>
+  <xsl:param name="fop.extensions" select="1"/>
+  <xsl:param name="draft.mode" select="'no'"/>
+
+  	<!-- Including our others customized templates -->
+  <xsl:include href="print/lfs-index.xsl"/>
+  <xsl:include href="print/lfs-pagesetup.xsl"/>
+
+  	<!-- Probably want to make the paper size configurable -->
+  <xsl:param name="paper.type" select="'A4'"/>
+
+  	<!-- Printing Style -->
+  <xsl:param name="double.sided" select="1"/>
+  <xsl:param name="hyphenate">true</xsl:param>
+  <xsl:param name="alignment">justify</xsl:param>
+  
+  	<!-- Hyphenate links -->
+  <xsl:param name="ulink.hyphenate" select="' '"></xsl:param>
+
+  	<!-- Font size -->
+  <xsl:param name="body.font.master">8</xsl:param>
+  <xsl:param name="body.font.size">10pt</xsl:param>
+
+  	<!-- TOC stuff -->
+  <xsl:param name="generate.toc">
+    book      toc
+    part      nop
+  </xsl:param>
+  <xsl:param name="toc.section.depth">1</xsl:param>
+  <xsl:param name="generate.section.toc.level" select="-1"></xsl:param>
+  <xsl:param name="toc.indent.width" select="18"></xsl:param>
+
+  	<!-- Page number in Xref-->
+  <xsl:param name="insert.xref.page.number">yes</xsl:param>
+	<xsl:template match="*" mode="page.citation">
+  	<xsl:param name="id" select="'???'"/>
+  	<fo:inline keep-together.within-line="always">
+  		<xsl:text>[p</xsl:text>
+      <fo:page-number-citation ref-id="{$id}"/>
+  		<xsl:text>]</xsl:text>
+  	</fo:inline>
+	</xsl:template>
+
+  	<!-- Prevent duplicate e-mails in the Acknowledgments pages-->
+  <xsl:param name="ulink.show" select="0"/>
+
+</xsl:stylesheet>
Index: stylesheets/lfs-tex.xsl
===================================================================
--- stylesheets/lfs-tex.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
+++ stylesheets/lfs-tex.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -0,0 +1,78 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Created by Larry Lawrence <larry@linuxfromscratch.org> -->
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+version='1.0'>
+
+<xsl:import href="http://db2latex.sourceforge.net/xsl/docbook.xsl"/>
+<xsl:output method="text" encoding="ISO-8859-1" indent="yes"/>
+<xsl:variable name="latex.override">
+
+\documentclass[12pt]{book}
+
+\usepackage{lfs}
+\usepackage{fancyhdr}
+\usepackage{fancyvrb}
+\usepackage{makeidx}
+\usepackage{hyperref}
+\usepackage{fancybox}
+
+\oddsidemargin -0.5in
+\evensidemargin -0.625in
+\textwidth 7in
+\textheight 8.5in
+
+%\ifx\pdfoutput\undefined
+%\else
+%\pdfpagewidth=7in
+%\pdfpageheight=8.5in
+%\fi
+
+\pagestyle{fancy}
+\newenvironment{admonition}[2] {
+ \vspace{8mm}
+ \hspace{0mm}\newline
+ \noindent
+}
+
+
+\fancyhf{}
+\fancyhead[LE,RO]{\bfseries\thepage}
+\fancyhead[LO]{\bfseries\rightmark}
+\fancyhead[RE]{\bfseries\leftmark}
+\renewcommand{\headrulewidth}{0.5pt}
+\renewcommand{\footrulewidth}{0pt}
+\addtolength{\headheight}{3pt}
+\fancypagestyle{plain}{%
+	\fancyhead{}
+	\renewcommand{\headrulewidth}{0pt}
+}
+
+
+\hyphenation{change-log cpp-flags ctrlaltdel ma-cros chil-ton}
+
+<!-- adds \frontmatter to document -->
+
+</xsl:variable>
+
+<xsl:variable name="toc.section.depth">1</xsl:variable>
+
+<xsl:variable name="latex.book.begindocument">
+        <xsl:text>\begin{document}&#10;</xsl:text>
+        <xsl:text>\frontmatter&#10;</xsl:text>
+</xsl:variable>
+
+<!-- This put each section on a new page in the preface section -->
+
+<xsl:template match="preface/sect1">
+        <xsl:text>&#10;</xsl:text>
+        <xsl:text>\newpage&#10;</xsl:text>
+        <xsl:text>\section*{</xsl:text><xsl:copy-of
+select="normalize-space(title)"/><xsl:text>}&#10;</xsl:text>
+        <xsl:apply-templates/>
+</xsl:template>
+
+
+
+</xsl:stylesheet>
Index: stylesheets/patcheslist.xsl
===================================================================
--- stylesheets/patcheslist.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
+++ stylesheets/patcheslist.xsl	(revision 2ec64b313286681a709807dff868a30250f31207)
@@ -0,0 +1,24 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Version 0.9pre1 - Manuel Canales Esparcia <macana@lfs-es.org>
+Based on the original patcheslist.xsl posted by Matthew Burgess -->
+
+<!-- This also work again BLFS -->
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                version="1.0">
+
+	<xsl:output method="text"/>
+
+  <xsl:template match="//text()">
+  	<xsl:text/>
+  </xsl:template>
+
+	<xsl:template match="//ulink">
+  	<xsl:if test="contains(@url, '.patch')">
+    	<xsl:value-of select="@url"/>
+			<xsl:text>&#x0a;</xsl:text>
+		</xsl:if>
+	</xsl:template>
+
+</xsl:stylesheet>
